What is the property name of OrientXpress?

Hello Cowski,

This is my first time to write my own app. I am trying to retrieve the information of the coordinate system, such as origin, and vector directions. And I am using OrientXpress Block. But I don't know the property name.

For example at the apply cb section of the dialog box:

orientXpress02 = CType(theDialog.TopBlock.FindBlock("orientXpress02"), NXOpen.BlockStyler.OrientXpress)
Dim propertyList As BlockStyler.PropertyList
propertyList = orientXpress02.GetProperties()
Dim from_point As Point3d = propertyList.GetDouble......

Please help to modify my code and many thanks for your help.

Sincerely,

Tuw

I am working on the NX CAE application. This app is built to move and rotate the CAE mesh, by defining a "from" coordinate system to a "to" coordinate system.

The current NX9 CAE operation to similarly perform this task is "translate node". However, this application is not good enough because it cannot rotate the nodes at the same time.

thanks again

Therefore, I need to create a "from" coordinate system. At start the mesh will refer to this "from" coordinate system, then, the mesh is move to a new position, when the "from" coordinate system is coincide with the "to" coordinate system.

Just to update my progress from yesterday. Actually I try to use another block "specify csys" instead of orientxpress, which is much more simple, and my apply_cb section is as below:
______________________________________________________________________________________________

Public Function apply_cb() As Integer
Dim errorCode As Integer = 0
Try

'---- Enter your callback code here -----
selectNodes0 = CType(theDialog.TopBlock.FindBlock("selectNodes0"), NXOpen.BlockStyler.SelectNode)
Dim propertyList As BlockStyler.PropertyList
propertyList = selectNodes0.GetProperties()

Dim myselectednodes As NXOpen.TaggedObject()

myselectednodes = propertyList.GetTaggedObjectVector("SelectedObjects")

Dim Lng As Integer = 0
ReDim SelectedNodes(myselectednodes.Length - 1)

For Each Item As NXOpen.TaggedObject In myselectednodes
Try
Dim body As NXOpen.CAE.FENode = CType(Item, NXOpen.CAE.FENode)
If body Is Nothing Then
' Error of some sort
Else
SelectedNodes(Lng) = body
Lng = Lng + 1
End If
Catch ex As Exception
End Try
Next

Block02 = CType(theDialog.TopBlock.FindBlock("Block02"), NXOpen.BlockStyler.Group)
coord_system0 = CType(theDialog.TopBlock.FindBlock("coord_system0"), NXOpen.BlockStyler.SpecifyCSYS)
Block03 = CType(theDialog.TopBlock.FindBlock("Block03"), NXOpen.BlockStyler.Group)
coord_system01 = CType(theDialog.TopBlock.FindBlock("coord_system01"), NXOpen.BlockStyler.SpecifyCSYS)

Dim propertyList02 As BlockStyler.PropertyList
propertyList02 = coord_system0.GetProperties()
from_csys = propertyList02.GetTaggedObjectVector("SelectedObjects")

Dim sourceCsys As CartesianCoordinateSystem
sourceCsys = CType(from_csys(0), CoordinateSystem)

MsgBox("Check this " + Chr(10) +
sourceCsys.Origin.ToString)

Dim propertyList03 As BlockStyler.PropertyList
propertyList03 = coord_system01.GetProperties()
to_csys = propertyList03.GetTaggedObjectVector("SelectedObjects")

Dim endCsys As CartesianCoordinateSystem
endCsys = CType(to_csys(0), CoordinateSystem)

.
.
.
______________________________________________________________________________________________

I consider my question is answered by myself... But if you have any recommendation or comment, thanks for letting me know. By the way, this is a great and rare website.